CommetCommet
GitHubDiscordStatus
Create feature POSTDelete feature DELETEGet feature access GETGet feature GETList feature access GETList features GETUpdate feature PATCH
DocumentationKnowledge BaseBuild with AIAPI ReferenceWebhooks

Get feature

Get a single feature definition by code from the organization's feature catalog.

GET
/features/{code}

Get a single feature definition by code from the organization's feature catalog.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

code*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/features/string"
{  "id": "feat_1a2b3c4d",  "name": "API Calls",  "code": "api_calls",  "type": "usage",  "description": "Requests made to the API",  "unitName": "calls",  "createdAt": "2026-09-07T12:00:00.000Z",  "updatedAt": "2026-09-07T12:00:00.000Z",  "object": "feature",  "livemode": false}
{  "error": {    "type": "validation_error",    "code": "validation_error",    "message": "The request contains an invalid parameter.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/validation_error.md"  }}
{  "error": {    "type": "authentication_error",    "code": "unauthorized",    "message": "A valid API key is required.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/unauthorized.md"  }}
{  "error": {    "type": "authentication_error",    "code": "forbidden",    "message": "You do not have permission to perform this operation.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/forbidden.md"  }}
{  "error": {    "type": "not_found_error",    "code": "not_found",    "message": "The requested resource was not found.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/not_found.md"  }}
{  "error": {    "type": "rate_limit_error",    "code": "rate_limited",    "message": "Too many requests. Retry after the interval specified in the Retry-After header.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/rate_limited.md"  }}
{  "error": {    "type": "internal_error",    "code": "internal_error",    "message": "An unexpected error occurred while processing the request.",    "doc_url": "https://commet.co/docs/api-reference/2026-08-27/errors/internal_error.md"  }}

Get feature access GET

Get one feature's access and current usage for a customer. To evaluate a prospective consumption, use POST /usage/check.

List feature access GET

List a customer's feature access and current usage.